<?php
	global $post;
	
	wp_nonce_field("Plum_Code_Box","Plum_Code_Box_nonce");
	
	$Plum_Code_Box_type_array = array(
		"cplusplus" => "C++",
		"csharp" => "C#",
		"delphi" => "Delphi",
		"html" => "HTML",
		"java" => "Java",
		"javascript" => "Javascript",
		"php" => "PHP",
		"mysql" => "MySQL"
	);
	
	$Plum_Code_Box_number_of_boxes = get_post_meta($post->ID, 'Plum_Code_Box_number_of_boxes');
	
	echo
		"Number of boxes:
			<select id=\"Plum_Code_Box_number_of_boxes\" name=\"Plum_Code_Box_number_of_boxes\" onChange=\"display_boxes();\">";
	
	for($i = 1; $i <=10; $i++) {
		if($Plum_Code_Box_number_of_boxes[0] == $i) {
			$selected = " selected";
		} else {
			$selected = "";
		}
	
		echo "<option value=\"".$i."\"".$selected.">".$i."</option>";
	}
	
	echo "</select>";
	
	for($i = 1; $i <=10; $i++) {
		$Plum_Code_Box_code[$i] = get_post_meta($post->ID, 'Plum_Code_Box_code_'.$i.'_code');
		$Plum_Code_Box_type[$i] = get_post_meta($post->ID, 'Plum_Code_Box_code_'.$i.'_type');
		
		echo
			"<div id=\"Plum_Code_Box_".$i."\"><h2>Codebox ".$i."</h2>
				<div style=\"float: right;\">
					<b>Insertion Code:</b> [codebox ".$i."]
				</div>
				<select name=\"Plum_Code_Box_code_".$i."_type\">";
			
		foreach($Plum_Code_Box_type_array as $key => $value) {
			if($Plum_Code_Box_type[$i] == $key) {
				$selected = " selected";
			} else {
				$selected = "";
			}
		
			echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
		}

		echo			
				"</select>
				<textarea name=\"Plum_Code_Box_code_".$i."_code\" style=\"width: 100%; height: 100px;\">".$Plum_Code_Box_code[$i][0]."</textarea>
			</div>";
	}
?>
<script>
	function display_boxes() {
		var number_of_boxes = document.getElementById('Plum_Code_Box_number_of_boxes').value;
	
		for(i = 1; i <= 10; i++) {
			document.getElementById('Plum_Code_Box_' + i).style.display = 'none';
		}
		
		for(i = 1; i <= number_of_boxes; i++) {
			document.getElementById('Plum_Code_Box_' + i).style.display = 'block';
		}
	}
	
	display_boxes();
</script>